<template>
    <div class="counter">
      <span @click="minus()" class="btn1">-</span>
      <span class="value" >{{value}}</span>
      <span @click="add()" class="btn1">+</span>
    </div>
</template>

<script lang="ts">
  import { Component, Model, Vue, Prop } from "vue-property-decorator";
  @Component
  export default class CounterButton extends Vue {
    @Model("change", { type: Number, default: 1 }) value!: number;
    @Prop({ default: false }) toCero!: boolean;
    backgroundColor = "#feca38";
    textColor = "#000";

    get colorsRules() {
      return `background-color: ${this.backgroundColor}; color: ${this.textColor};`;
    }

    minus() {
      if (this.value > 1 || this.toCero == true) {
        this.$emit("change", this.value - 1 < 0 ? 0 : this.value - 1);
      }
    }

    add() {
      if (this.value < 100) {
        this.$emit("change", this.value + 1);
      }
    }
    created() {
      const colors = this.$store.getters.colors;
      this.backgroundColor = colors.backgroundColor;
      this.textColor = colors.textColor;
    }
  }
</script>

<style lang="scss">
  .value{
    margin-right: 15px;
    margin-left: 15px;
    width: 20px;
  }
  .counter {

    border: none;
    border-radius: 25px;
    font-family: "Roboto condensed";
    font-weight: bold;
    font-size: 20px;
    display: flex;
    align-items: center;

    span{
      user-select:none;
      text-align: center;

    }
    span:hover {
      background: #DADADA;
    }
    .btn1{
      width: 46px;
      height: 46px;
      border-radius: 23px;
      // width: 90px;
      // border: none !important;
      color:#333;
      font-size:25px;
      font-weight:bold;
      font-family: "Courier New";
      background-color: #fff;
      box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.25);
      outline:none;
      transition: all ease 0.1s;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
</style>
